# TdApi.SearchChats (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: SearchChats

Package it.tdlight.jni

# Class TdApi.SearchChats

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function
it.tdlight.jni.TdApi.SearchChats

Enclosing class:
  TdApi

    public static class TdApi.SearchChats
    extends TdApi.Function

Searches for the specified query in the title and username of already known chats, this is an offline request. Returns chats in the order seen in the main chat list.

Returns `Chats`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`int` | `limit` | The maximum number of chats to be returned.
`String` | `query` | Query to search for.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`SearchChats()` | Searches for the specified query in the title and username of already known chats, this is an offline request.
`SearchChats​(DataInput input)` |
`SearchChats​(String query, int limit)` | Searches for the specified query in the title and username of already known chats, this is an offline request.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### query

public String query
Query to search for. If the query is empty, returns up to 50 recently found chats.

### limit

public int limit
The maximum number of chats to be returned.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### SearchChats

public SearchChats()
Searches for the specified query in the title and username of already known chats, this is an offline request. Returns chats in the order seen in the main chat list.

Returns `Chats`

### SearchChats

public SearchChats​(String query, int limit)
Searches for the specified query in the title and username of already known chats, this is an offline request. Returns chats in the order seen in the main chat list.

Returns `Chats`

Parameters:
  `query` - String Query to search for. If the query is empty, returns up to 50 recently found chats.
  `limit` - int The maximum number of chats to be returned.

### SearchChats

public SearchChats​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`